[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: svg output broken?

From: Patrick McCarty
Subject: Re: svg output broken?
Date: Fri, 10 Jun 2011 18:15:59 -0700

On Fri, Jun 10, 2011 at 11:56 AM, Marc Hohl <address@hidden> wrote:
> Am 10.06.2011 17:55, schrieb Patrick McCarty:
>> On Thu, Jun 9, 2011 at 11:34 PM, Marc Hohl<address@hidden>  wrote:
>>> Hello list,
>>> I needed some lilypond svg graphics, and while
>>> lilypond -dbackend=svg
>>> worked with 2.13.x, it now doesn't with 2.15.0 and complains with
>>> GNU LilyPond 2.15.0
>>> ERROR: Wrong number of arguments to #<primitive-procedure cons>
>>> Has the syntax changed? I searched in the archives, but I didn't find
>>> anything about this.
>> I can't reproduce this issue, and my entire SVG testsuite passes with
>> 2.15.0.
>> Please post a .ly file that's not working for you.
> It is just a tiny litte file containing:
> \version "2.15.0"
> \score {
>  \new Voice { a'2 }
> }
> because I just needed a note with stem upwards.

Hmm, when I compile this example, a valid SVG is created.  See the
attached file.

Are you running a self-compiled LilyPond or one of the binaries from  If you're compiling it, have you tried restoring your
git tree to a pristine state before compiling?


Attachment: test.svg
Description: image/svg

reply via email to

[Prev in Thread] Current Thread [Next in Thread]